<div id="games-container"  *ngIf="!this.gameController.simpleViewSoloGame && !this.gameController.freeViewSoloGame && !this.gameController.simpleViewMultiGame && !this.gameController.freeViewMultiGame && !this.gameController.waitingView">
  <mat-card-title>
    <h1>{{title}}</h1>
  </mat-card-title>
  <div id="games-table">

    <div id="games-simple-pov" class="games-pov-col">
      <mat-card-subtitle><h2>Jeux point de vue simple</h2></mat-card-subtitle>
      <ul id="games-simple-pov-list" class="games-pov-col-list">
        <ng-container *ngFor="let game of simpleGames">

          <mat-card class="games-info-card">
            <h3 class="games-info-card-name">{{game.name}}</h3>
            <img class="games-info-card-img" src="{{game.originalImage}}">

            <div class="games-info-card-game-type-container">
              <div class="games-info-card-game-type-col">
                <div center class="games-info-card-game-type-col-mode">
                  <i center class="material-icons">person</i>
                  <h3> Solo </h3>
                </div>

                <li class="games-info-card-game-type-col-play">

                  <div *ngFor="let record of game.soloTime" class="games-info-card-game-type-col-play-record">
                    <div class="games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                    <div class="games-info-card-game-type-col-play-record-medal"></div>
                    <div class="games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                  </div>

                  <button class="buttonStyles" (click)="playSoloGameSimpleView(game)">Jouer </button>

                </li>

              </div>

              <div class="games-info-card-game-type-col">
                <div class="games-info-card-game-type-col-mode">
                  <i class="material-icons">people</i>
                  <h3>Versus</h3>
                </div>

                <li class="games-info-card-game-type-col-play">

                  <div *ngFor="let record of game.vsTime" class="games-info-card-game-type-col-play-record">
                    <div class="games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                    <div class="games-info-card-game-type-col-play-record-medal"></div>
                    <div class="games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                  </div>

                  <button id="simpleView" (click) = "playMultiGameSimpleView(game)"  class="buttonStyles">{{game.action}}</button>

                </li>
              </div>
            </div>
          </mat-card>
        </ng-container>
      </ul>
    </div>
    <div id="games-free-pov" class="games-pov-col">
        <mat-card-subtitle>
      <h2 class = "styleForText">Jeux point de vue libre</h2>
      </mat-card-subtitle>
      <ul id="games-free-pov-list" class="games-pov-col-list">
        <ng-container *ngFor="let game of freeGames">
          <mat-card class="games-info-card">
            <h3 class="games-info-card-name">{{game.name}}</h3>

            <img class="games-info-card-img" src="{{game.thumbnail}}">

            <div class="games-info-card-game-type-container">
              <div class="games-info-card-game-type-col">

                <div class="games-info-card-game-type-col-mode">
                  <i class="material-icons">person</i>
                  <h3>Solo</h3>
                </div>

                <li class="games-info-card-game-type-col-play">

                  <div *ngFor="let record of game.soloTime" class="games-info-card-game-type-col-play-record">
                    <div class="games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                    <div class="games-info-card-game-type-col-play-record-medal"></div>
                    <div class="games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                  </div>

                  <button  class="buttonStyles" (click)="playSoloGameFreeView(game)">Jouer</button>

                </li>

              </div>
              <div class="games-info-card-game-type-col">

                <div class="games-info-card-game-type-col-mode">
                    <i class="material-icons">people</i>
                    <h3>Versus</h3>
                </div>

                <li class="games-info-card-game-type-col-play">

                  <div *ngFor="let record of game.vsTime" class="games-info-card-game-type-col-play-record">
                    <div class="games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                    <div class="games-info-card-game-type-col-play-record-medal"></div>
                    <div class="games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                  </div>

                  <button (click) = "playMultiGameFreeView(game)" id = "createFreeGame" class="buttonStyles">{{game.action}}</button>

                </li>

              </div>
            </div>
          </mat-card>
        </ng-container>
      </ul>
    </div>

  </div>
</div>
<app-simple-game-view-solo-player (finish)="finish()" *ngIf="this.gameController.simpleViewSoloGame" [currentUserName]="currentUserName" [game]="currentSimpleGame" > </app-simple-game-view-solo-player>
<app-free-game-view-solo-player (finish)="finish()" *ngIf="this.gameController.freeViewSoloGame"  [currentUserName]="currentUserName" [game]="currentFreeGame"> </app-free-game-view-solo-player>
<app-simple-game-view-multi-player (restart) = "replayNewSimpleViewGame($event)" (finish)="finish()" *ngIf="this.gameController.simpleViewMultiGame" [currentUserName]="currentUserName" [game]="currentSimpleGame" [currentGameId] = "currentGameId"> </app-simple-game-view-multi-player>
<app-free-game-view-multi-player (restart) = "replayNewFreeViewGame($event)"  (finish)="finish()" *ngIf="this.gameController.freeViewMultiGame" [currentUserName]="currentUserName" [game]="currentFreeGame" [currentGameId] = "currentGameId"> </app-free-game-view-multi-player>

<app-waiting-view [simpleViewMultiGame]="this.gameController.cancelSimpleViewMultiGame" [freeViewMultiGame]="this.gameController.cancelFreeViewMultiGame" (cancelSimpleViewMultiGame)="cancelSimpleViewMultiGame()" (cancelFreeViewMultiGame)="cancelFreeViewMultiGame()"*ngIf = "this.gameController.waitingView"></app-waiting-view>
